package com.wuban.tron.explore.service.impl;

import com.github.pagehelper.PageInfo;
import com.wuban.tron.explore.BaseTest;
import com.wuban.tron.explore.entity.BlockDayCensus;
import com.wuban.tron.explore.entity.example.BlockDayCensusExample;
import com.wuban.tron.explore.service.BlockDayCensusService;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;

class BlockDayCensusServiceImplTest extends BaseTest {

    @Autowired
    private BlockDayCensusService service;

    @Test
    void getByPageWithCategory() {
        BlockDayCensusExample example = new BlockDayCensusExample();
        PageInfo<BlockDayCensus> pageInfo = this.service.getByPageWithCategory(1,10, example);
        System.out.println(pageInfo.getList().toString());
    }

}